org.springframework.cloud.dataflow.server.job

## Class TaskExplorerFactoryBean

- java.lang.Object
- - org.springframework.cloud.dataflow.server.job.TaskExplorerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<org.springframework.cloud.task.repository.TaskExplorer>

      public class TaskExplorerFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<org.springframework.cloud.task.repository.TaskExplorer>

  Factory bean to create a Task Explorer.
  Author:
    Glenn Renfro

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskExplorerFactoryBean(DataSource dataSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cloud.task.repository.TaskExplorer` | `getObject()`
    `Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskExplorerFactoryBean

          public TaskExplorerFactoryBean(DataSource dataSource)

  - ### Method Detail

    - #### getObject

          public org.springframework.cloud.task.repository.TaskExplorer getObject()
                                                                           throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.cloud.task.repository.TaskExplorer>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.cloud.task.repository.TaskExplorer>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.cloud.task.repository.TaskExplorer>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.